<div class="container mb-1">
  &nbsp;
  <div>
    <span class="aligned-with-icon">
      <input
        type="text"
        id="search"
        placeholder="SEARCH"
        (change)="filterTable($event)"
    /></span>
    <mat-icon>search</mat-icon>
  </div>
  <form [formGroup]="searchOptionForm">
    <span>
      <input
        id="id"
        type="radio"
        value="id"
        name="searchOption"
        formControlName="searchOption"
      />
      <label for="id">#ID</label>
    </span>

    &nbsp;

    <span>
      <input
        id="status"
        type="radio"
        value="status"
        name="searchOption"
        formControlName="searchOption"
      />
      <label for="status">Status</label>
    </span>

    &nbsp;

    <span>
      <input
        id="date"
        type="radio"
        value="date"
        name="searchOption"
        formControlName="searchOption"
      />
      <label for="date">Date</label>
    </span>

    &nbsp;

    <span>
      <input
        id="all"
        type="radio"
        value="all"
        name="searchOption"
        formControlName="searchOption"
      />
      <label for="none">All</label>
    </span>
  </form>

  <button mat-raised-button color="primary" (click)="refresh()">&#8635;</button>
</div>

<div class="container">
  <!-- TABLE STYLED WITH BOOTSTRAP CLASSES -> 
      scope="col", scope="row" class="table table-bordered table-dark" -->
  <table class="table table-bordered table-dark">
    <thead>
      <tr>
        <th scope="col">#ID</th>
        <th scope="col">
          Status
          <app-clickable-icon
            (click)="sortByStatusAsc()"
            [icon]="'keyboard_arrow_up'"
          ></app-clickable-icon>
          <app-clickable-icon
            (click)="sortByStatusDesc()"
            [icon]="'keyboard_arrow_down'"
          ></app-clickable-icon>
        </th>
        <th scope="col">
          Issue Date
          <app-clickable-icon
            (click)="sortByDateAsc()"
            [icon]="'keyboard_arrow_up'"
          ></app-clickable-icon>
          <app-clickable-icon
            (click)="sortByDateDesc()"
            [icon]="'keyboard_arrow_down'"
          ></app-clickable-icon>
        </th>

        <th scope="col">
          Colour
          <app-clickable-icon
            (click)="sortByColourAsc()"
            [icon]="'keyboard_arrow_up'"
          ></app-clickable-icon>
          <app-clickable-icon
            (click)="sortByColourDesc()"
            [icon]="'keyboard_arrow_down'"
          ></app-clickable-icon>
        </th>
        <th scope="col">
          Cost NOK
          <app-clickable-icon
            (click)="sortByCostAsc()"
            [icon]="'keyboard_arrow_up'"
          ></app-clickable-icon>
          <app-clickable-icon
            (click)="sortByCostDesc()"
            [icon]="'keyboard_arrow_down'"
          ></app-clickable-icon>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr (click)="navigateToHistory(item.id)" *ngFor="let item of dataSource">
        <td scope="row">{{ item.id }}</td>
        <td scope="row">{{ item.status }}</td>
        <td scope="row">{{ item.issue_date }}</td>
        <td scope="row" [style.background]="item.box_colour"></td>
        <td scope="row">{{ item.cost }}</td>
      </tr>
    </tbody>
  </table>

  <p *ngIf="hasSearched && dataSource.length == 0" class="text-danger">
    No results found.
  </p>
</div>
